gnutls_transport_set_global_errno(3)

NAME
gnutls_transport_set_global_errno - API function

SYNOPSIS
#include <gnutls/gnutls.h>

void gnutls_transport_set_global_errno(int err);

ARGUMENTS

int err
    error value to store in global errno variable.

DESCRIPTION
Store err in the global errno variable. Useful values for err is EAGAIN and EINTR, other values are treated will be treated as real errors in the push/pull function. This function is useful in replacement push/pull functions set by gnutls_transport_set_push_function and gnutls_transport_set_pullpush_function under Windows, where the replacement push/pull may not have access to the same errno variable that is used by GnuTLS (e.g., the application is linked to msvcr71.dll and gnutls is linked to msvcrt.dll). Whether this function is thread safe or not depends on whether the global variable errno is thread safe, some system libraries make it a thread-local variable. When feasible, using the guaranteed thread-safe gnutls_transport_set_errno() may be better.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.

COPYRIGHT
Copyright © 2006, 2007 Free Software Foundation.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.